PDA

View Full Version : blumblee problem



albumns
03-Feb-2015, 19:47
Hello I've installed latest version of Bumblebee in my laptop. Most program works find. However, I just noticed that some software will failed with messages as following:




Info) VMD for LINUXAMD64, version 1.9.2 (December 29, 2014)
Info) http://www.ks.uiuc.edu/Research/vmd/
Info) Email questions and bug reports to vmd@ks.uiuc.edu
Info) Please include this reference in published work using VMD:
Info) Humphrey, W., Dalke, A. and Schulten, K., `VMD - Visual
Info) Molecular Dynamics', J. Molec. Graphics 1996, 14.1, 33-38.
Info) -------------------------------------------------------------
Info) Multithreading available, 8 CPUs detected.
Info) Free system memory: 15270MB (95%)
Warning) Detected a mismatch between CUDA runtime and GPU driver
Warning) Check to make sure that GPU drivers are up to date.
Info) No CUDA accelerator devices available.
Warning) Detected X11 'Composite' extension: if incorrect display occurs
Warning) try disabling this X server option. Most OpenGL drivers
Warning) disable stereoscopic display when 'Composite' is enabled.
libGL error: failed to load driver: swrast
libGL error: Try again with LIBGL_DEBUG=verbose for more details.
[VGL] WARNING: The OpenGL rendering context obtained on X display
[VGL] :8 is indirect, which may cause performance to suffer.
[VGL] If :8 is a local X display, then the framebuffer device
[VGL] permissions may be set incorrectly.
Info) OpenGL renderer: Quadro K1100M/PCIe/SSE2
Info) Features: STENCIL MSAA(4) MDE MTX NPOT PP PS
Info) GLSL rendering mode is NOT available.
Info) Textures: 2-D (16384x16384), 3-D (4096x4096x4096), Multitexture (4)
[VGL] ERROR: in readPixels--
[VGL] 374: GL_ARB_pixel_buffer_object extension not available



Does anybody knows what's happening?

This software can be obtained from:

http://www.ks.uiuc.edu/Development/Download/download.cgi?PackageName=VMD

I wish the developer can make a test for it.

Thx a lot

smflood
04-Feb-2015, 12:52
On 03/02/2015 18:54, albumns wrote:

> Hello I've installed latest version of Bumblebee in my laptop. Most
> program works find. However, I just noticed that some software will
> failed with messages as following:
>
>
>
> Code:
> --------------------
>
> Info) VMD for LINUXAMD64, version 1.9.2 (December 29, 2014)
> Info) http://www.ks.uiuc.edu/Research/vmd/
> Info) Email questions and bug reports to vmd@ks.uiuc.edu
> Info) Please include this reference in published work using VMD:
> Info) Humphrey, W., Dalke, A. and Schulten, K., `VMD - Visual
> Info) Molecular Dynamics', J. Molec. Graphics 1996, 14.1, 33-38.
> Info) -------------------------------------------------------------
> Info) Multithreading available, 8 CPUs detected.
> Info) Free system memory: 15270MB (95%)
> Warning) Detected a mismatch between CUDA runtime and GPU driver
> Warning) Check to make sure that GPU drivers are up to date.
> Info) No CUDA accelerator devices available.
> Warning) Detected X11 'Composite' extension: if incorrect display occurs
> Warning) try disabling this X server option. Most OpenGL drivers
> Warning) disable stereoscopic display when 'Composite' is enabled.
> libGL error: failed to load driver: swrast
> libGL error: Try again with LIBGL_DEBUG=verbose for more details.
> [VGL] WARNING: The OpenGL rendering context obtained on X display
> [VGL] :8 is indirect, which may cause performance to suffer.
> [VGL] If :8 is a local X display, then the framebuffer device
> [VGL] permissions may be set incorrectly.
> Info) OpenGL renderer: Quadro K1100M/PCIe/SSE2
> Info) Features: STENCIL MSAA(4) MDE MTX NPOT PP PS
> Info) GLSL rendering mode is NOT available.
> Info) Textures: 2-D (16384x16384), 3-D (4096x4096x4096), Multitexture (4)
> [VGL] ERROR: in readPixels--
> [VGL] 374: GL_ARB_pixel_buffer_object extension not available
>
>
> --------------------
>
>
> Does anybody knows what's happening?
>
> This software can be obtained from:
>
> http://www.ks.uiuc.edu/Development/Download/download.cgi?PackageName=VMD
>
> I wish the developer can make a test for it.
>
> Thx a lot

Which version of SUSE Linux Enterprise Desktop (SLED) are you using?
Please post the output from "cat /etc/*release".

HTH.
--
Simon
SUSE Knowledge Partner

------------------------------------------------------------------------
If you find this post helpful and are logged into the web interface,
please show your appreciation and click on the star below. Thanks.
------------------------------------------------------------------------

albumns
04-Feb-2015, 17:31
I am using SLED 12.

Problem finally solved:

one need not only



add the line "blacklist nouveau" to /etc/modprobe.d/50-blacklist.conf


but also


add option "nouveau.modeset=0" to the end of boot loader option from "Yast-->boot loader-->Boot Loader option-->optional kernel command line parameter"

Finally it works. I found that openSUSE 13.1 & 13.2 also have similar issue. Both of them can be solved with similar methods.

Ciao

smflood
12-Feb-2015, 17:25
On 04/02/2015 16:34, albumns wrote:

> I am using SLED 12.
>
> Problem finally solved:
>
> one need not only
>
>
> Code:
> --------------------
>
> add the line "blacklist nouveau" to /etc/modprobe.d/50-blacklist.conf
>
> --------------------
>
>
> but also
>
>
> Code:
> --------------------
> add option "nouveau.modeset=0" to the end of boot loader option from "Yast-->boot loader-->Boot Loader option-->optional kernel command line parameter"
> --------------------
>
>
> Finally it works. I found that openSUSE 13.1 & 13.2 also have similar
> issue. Both of them can be solved with similar methods.

I'm glad that you found a solution. Thanks for reporting back as that
should help others in the same situation.
--
Simon
SUSE Knowledge Partner

------------------------------------------------------------------------
If you find this post helpful and are logged into the web interface,
please show your appreciation and click on the star below. Thanks.
------------------------------------------------------------------------